> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finlink Comprehensive

> Retrieves borrower's comprehensive loan data and history.



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/verifications/credit-worthiness/finlink-comprehensive
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        enum:
          - integrate
          - api.ph
        description: >-
          IDmeta environment subdomain. Use `api.ph` for
          portalph.idmetagroup.com and `integrate` for verify.idmetagroup.com.
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/credit-worthiness/finlink-comprehensive:
    post:
      tags:
        - Credit Worthiness
      summary: Finlink Comprehensive
      description: >-
        Retrieves borrower's comprehensive loan data and history (API v3 Finlink
        Comprehensive). Send a JSON body with `Content-Type: application/json`.
      operationId: finlinkComprehensiveVerificationV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            example: application/json
        - name: Authorization
          in: header
          required: true
          description: Bearer token (`Bearer <token>`).
          schema:
            type: string
            example: Bearer <token>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinlinkAllInOneV3Request'
            example:
              firstName: <string>
              lastName: <string>
              dateOfBirth: '1983-07-01'
              phoneNumber: <string>
              email: <string>
              idNumber: <string>
              trustFlowId: 0
              trustValidationId: '{your_trust_validation_id}'
              source: 1
      responses:
        '200':
          description: Finlink Comprehensive verification processed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinlinkAllInOneV3Response'
              example:
                success: true
                message: Finlink Comprehensive verification processed successfully
                data:
                  requestId: fcb3dfde-5e71-4dfc-a763-20fdc6354e4e
                  firstName: Juan
                  lastName: Dela Cruz
                  dateOfBirth: '1983-07-01'
                  cellphoneNumber: '639171234567'
                  email: juan.delacruz@email.com
                  idNumber: N0323123456
                  response:
                    FR:
                      data:
                        - recordID: 3536f17c5fe4a79a23be06eec6a1100
                          kycSurname: Dela Cruz
                          kycFirstName: Juan
                          kycMiddleName: Perez
                          kycDateOfBirth: '1983-07-01'
                          kycIdNumber: N0323123456
                          kycIdType: 5
                          kycMobileNumber: '639171234567'
                          kycEmailAddress: juan.delacruz@email.com
                          kycAddress: Rizal Street, Quezon City, Metro Manila (NCR)
                          loanInfoLoanType: 4
                          loanInfoApplicationDate: '2025-04-16'
                          loanInfoOpenDate: '2025-04-16'
                          loanInfoLoanTerm: null
                          loanInfoOpenBalance: 3000
                          loanInfoOutstandingBalance: 4021.72
                          loanInfoNextDueDate: '2025-11-23'
                          loanInfoLastPaymentAmount: 1000
                          loanInfoLastPaymentDate: '2025-10-08'
                          loanInfoStatusCode: Delayed
                          loanInfoInstallmentAmount: 620
                          loanInfoOverdueAmount: 500
                          loanInfoRepaymentFrequency: 1
                          loanInfoRepaymentHistory: '000121'
                          loanInfoCloseDate: null
                          loanInfoLenderType: fintech
                          contributorId: 9af5d282-7de2-42b9-bdd2-026ef6c7ffee
                          matchedKeys:
                            - cellphoneNumber
                            - email
                            - idNumber
                            - firstName-lastName-dateOfBirth
                          matchedKeyCount: 4
                        - recordID: 3536f17c5fe4dve647s3j06eec6a101
                          kycSurname: Dela Cruz
                          kycFirstName: Juan
                          kycMiddleName: Perez
                          kycDateOfBirth: '1983-07-01'
                          kycIdNumber: N0323123456
                          kycIdType: 5
                          kycMobileNumber: '639171234567'
                          kycEmailAddress: juan.delacruz@email.com
                          kycAddress: Rizal Street, Quezon City, Metro Manila (NCR)
                          loanInfoLoanType: 4
                          loanInfoApplicationDate: '2025-04-16'
                          loanInfoOpenDate: null
                          loanInfoLoanTerm: 0
                          loanInfoOpenBalance: 0
                          loanInfoOutstandingBalance: null
                          loanInfoNextDueDate: null
                          loanInfoLastPaymentAmount: 0
                          loanInfoLastPaymentDate: null
                          loanInfoStatusCode: Rejected
                          loanInfoInstallmentAmount: 0
                          loanInfoOverdueAmount: null
                          loanInfoRepaymentFrequency: 1
                          loanInfoRepaymentHistory: null
                          loanInfoCloseDate: null
                          loanInfoLenderType: fintech
                          contributorId: 9af5d282-7de2-42b9-bdd2-026ef6c7ffee
                          matchedKeys:
                            - cellphoneNumber
                            - email
                            - idNumber
                            - firstName-lastName-dateOfBirth
                          matchedKeyCount: 4
                      scores:
                        CS1:
                          score: 544
                          band: 9
                  timeToVerify: 0.5075390338897705
                verificationStatus: REVIEW_NEEDED
                verificationStatusCode: 2
                trustFlowId: 0
                trustValidationId: '{your_trust_validation_id}'
                verificationType: finlink_comprehensive
                metadata: null
components:
  schemas:
    FinlinkAllInOneV3Request:
      type: object
      required:
        - firstName
        - lastName
        - dateOfBirth
        - phoneNumber
        - email
        - idNumber
        - trustFlowId
        - trustValidationId
        - source
      properties:
        firstName:
          type: string
          description: First name of the person to be verified.
        lastName:
          type: string
          description: Last name of the person to be verified.
        dateOfBirth:
          type: string
          description: Date of birth (YYYY-MM-DD).
        phoneNumber:
          type: string
          description: Mobile or contact number.
        email:
          type: string
          format: email
          description: Email address.
        idNumber:
          type: string
          description: Government or national ID number.
        trustFlowId:
          type: integer
          description: Trust flow ID for this verification.
        trustValidationId:
          type: string
          format: uuid
          description: Trust validation session ID.
        source:
          type: integer
          description: Finlink source identifier.
    FinlinkAllInOneV3Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            requestId:
              type: string
              format: uuid
            firstName:
              type: string
            lastName:
              type: string
            dateOfBirth:
              type: string
            cellphoneNumber:
              type: string
            email:
              type: string
              format: email
            idNumber:
              type: string
            response:
              type: object
              additionalProperties: true
              description: Finlink bureau payload (e.g. `FR` scores and records).
            timeToVerify:
              type: number
              format: double
        verificationStatus:
          type: string
        verificationStatusCode:
          type: integer
        trustFlowId:
          type: integer
          description: Trust flow ID (numeric or echoed identifier).
        trustValidationId:
          type: string
          format: uuid
        verificationType:
          type: string
        metadata:
          type: object
          nullable: true
          additionalProperties: true
          description: Optional echo metadata from the verification request.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.